public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michal Gorny (mgorny)" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] gentoo-x86 commit in dev-python/sphinx: sphinx-1.1.3-r5.ebuild ChangeLog
Date: Fri, 18 Jan 2013 11:12:00 +0000 (UTC)	[thread overview]
Message-ID: <20130118111200.7F7F42171D@flycatcher.gentoo.org> (raw)

mgorny      13/01/18 11:12:00

  Modified:             sphinx-1.1.3-r5.ebuild ChangeLog
  Log:
  Enable python3.3. Properly die on test failure.
  
  (Portage version: 2.2.0_alpha154/cvs/Linux x86_64, signed Manifest commit with key 42B9401D)

Revision  Changes    Path
1.3                  dev-python/sphinx/sphinx-1.1.3-r5.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/sphinx-1.1.3-r5.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/sphinx-1.1.3-r5.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/sphinx-1.1.3-r5.ebuild?r1=1.2&r2=1.3

Index: sphinx-1.1.3-r5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/sphinx/sphinx-1.1.3-r5.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- sphinx-1.1.3-r5.ebuild	15 Jan 2013 21:50:22 -0000	1.2
+++ sphinx-1.1.3-r5.ebuild	18 Jan 2013 11:12:00 -0000	1.3
@@ -1,10 +1,10 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/sphinx/sphinx-1.1.3-r5.ebuild,v 1.2 2013/01/15 21:50:22 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/sphinx/sphinx-1.1.3-r5.ebuild,v 1.3 2013/01/18 11:12:00 mgorny Exp $
 
 EAPI=5
 
-PYTHON_COMPAT=( python{2_5,2_6,2_7,3_1,3_2} pypy1_9 )
+PYTHON_COMPAT=( python{2_5,2_6,2_7,3_1,3_2,3_3} pypy1_9 )
 
 inherit distutils-r1 versionator
 
@@ -62,7 +62,8 @@
 }
 
 python_test() {
-	nosetests -w "${BUILD_DIR}"/lib/tests || ewarn "Tests fail with ${EPYTHON}"
+	nosetests -w "${BUILD_DIR}"/lib/tests \
+		|| die "Tests fail with ${EPYTHON}"
 }
 
 python_install_all() {



1.125                dev-python/sphinx/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/ChangeLog?rev=1.125&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/ChangeLog?rev=1.125&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/ChangeLog?r1=1.124&r2=1.125

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/sphinx/ChangeLog,v
retrieving revision 1.124
retrieving revision 1.125
diff -u -r1.124 -r1.125
--- ChangeLog	15 Jan 2013 21:50:22 -0000	1.124
+++ ChangeLog	18 Jan 2013 11:12:00 -0000	1.125
@@ -1,6 +1,9 @@
 # ChangeLog for dev-python/sphinx
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/sphinx/ChangeLog,v 1.124 2013/01/15 21:50:22 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/sphinx/ChangeLog,v 1.125 2013/01/18 11:12:00 mgorny Exp $
+
+  18 Jan 2013; Michał Górny <mgorny@gentoo.org> sphinx-1.1.3-r5.ebuild:
+  Enable python3.3. Properly die on test failure.
 
   15 Jan 2013; Michał Górny <mgorny@gentoo.org> sphinx-1.1.3-r5.ebuild:
   Improve grammar. Thanks to radhermit.





             reply	other threads:[~2013-01-18 11:12 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-01-18 11:12 Michal Gorny (mgorny) [this message]
  -- strict thread matches above, loose matches on Subject: below --
2013-02-03 10:57 [gentoo-commits] gentoo-x86 commit in dev-python/sphinx: sphinx-1.1.3-r5.ebuild ChangeLog Michal Gorny (mgorny)
2013-02-02 22:00 Agostino Sarubbo (ago)
2013-02-02 21:54 Agostino Sarubbo (ago)
2013-01-19 23:58 Michal Gorny (mgorny)
2013-01-15 21:50 Michal Gorny (mgorny)

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20130118111200.7F7F42171D@flycatcher.gentoo.org \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox